#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 12. System Utilities

- Prev

  acpid-2.0.32

- Next

  autofs-5.1.7

- Up
- Home

# at-3.2.1

## Introduction to at

The at package provide delayed job execution and batch processing. It is required for Linux Standards Base (LSB) conformance.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): http://software.calhariz.com/at/at_3.2.1.orig.tar.gz

- Download MD5 sum: 518a1c1782c8434869bb0824f1d84520

- Download size: 125 KB

- Estimated disk space required: 1.8 MB including tests

- Estimated build time: less than 0.1 SBU

### at Dependencies

#### Required

An MTA

#### Optional

Linux-PAM-1.5.1

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/at

## Installation of at

Before building at, as the `root` user you should create the group and user `atd` which will run the atd daemon:

    groupadd -g 17 atd                                                  &&
    useradd -d /dev/null -c "atd daemon" -g atd -s /bin/false -u 17 atd

Install at with the following commands:

    ./configure --with-daemon_username=atd        \
                --with-daemon_groupname=atd       \
                SENDMAIL=/usr/sbin/sendmail       \
                --with-jobdir=/var/spool/atjobs   \
                --with-atspool=/var/spool/atspool \
                --with-systemdsystemunitdir=/lib/systemd/system &&
    make -j1

To test the results, issue: make test.

Now, as the `root` user:

    make install docdir=/usr/share/doc/at-3.2.1 \
                 atdocdir=/usr/share/doc/at-3.2.1

## Configuring at

###

#### Config Files

`/etc/at.allow` and `/etc/at.deny` determines who can submit jobs via at or batch.

###

#### Linux PAM Configuration

If At has been built with Linux PAM support, you need to create a PAM configuration file, to get it working correctly with BLFS.

Issue the following commands as the `root` user to create the configuration file for Linux PAM:

    cat > /etc/pam.d/atd << "EOF"
    # Begin /etc/pam.d/atd

    auth required pam_unix.so
    account required pam_unix.so
    password required pam_unix.so
    session required pam_unix.so

    # End /etc/pam.d/atd
    EOF

###

#### Systemd Unit

To start the atd daemon at boot, enable the previously installed systemd unit by running the following command as the `root` user:

    systemctl enable atd

## Contents

Installed Programs: at, atd, atq (symlink), atrm (symlink), atrun, and batch
Installed Libraries: None
Installed Directories: /usr/share/doc/at-3.2.1

### Short Descriptions

at | queues, examines or deletes jobs for later execution
atd | is the daemon that runs jobs queued for later execution
atq | lists the user's pending jobs, or all jobs, if superuser
atrm | deletes jobs, identified by their job number
atrun | runs jobs queued for later execution
batch | is a script that executes commands when system load levels permit

Last updated on 2021-02-20 11:35:58 -0800

- Prev

  acpid-2.0.32

- Next

  autofs-5.1.7

- Up
- Home